Creates a new product list for a store, optionally including initial line items.
POST/api/v2/public/stores/{store_number}/productlists
Creates a new product list for a store, optionally including initial line items.
Query Parameters
Body ParametersJSON
product_list_name: string
Name of the product list. Must contain only letters, numbers, spaces, dots, hyphens, or underscores.
minLength1
product_list_type: number
Numeric product list type identifier. Ignored when module_id is supplied; the type is then resolved from the module.
formatint32
Creates a new product list for a store, optionally including initial line items.
curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists \
-H 'Content-Type: application/json' \
-H "Authorization: $COLLEQTIVE_BEARER_TOKEN" \
-d '{
"product_list_name": "Produce",
"product_list_type": 1
}'{
"product_list_id": 0
}Returns Examples
{
"product_list_id": 0
}